using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using Telerik.Web.UI;
using System.Collections;

public partial class _Default : System.Web.UI.Page
{
   

    protected void RadGrid3_NeedDataSource(object source, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        ArrayList list = new ArrayList();
        list.Add(new TestListItem("Surface Analysis of Biological Materials Using Vibrational & Non Linear Optical Spectroscopy Techniques (8:00-10:00 am) / 3D Imaging & Nanochemical Analysis - Part 1 (10:40 am-12:00 pm)", 0));
        list.Add(new TestListItem("Item 1", 0));
        list.Add(new TestListItem("Surface Analysis of Biological Materials Using Vibrational & Non Linear Optical Spectroscopy Techniques (8:00-10:00 am) / 3D Imaging & Nanochemical Analysis - Part 1 (10:40 am-12:00 pm)", 1));
        list.Add(new TestListItem("Item 3", 1));
        list.Add(new TestListItem("Item 4", null));

        this.RadGrid3.DataSource = list;
    }
    

    public class TestListItem
    {
        private string _a;
        private int? _b;

        public TestListItem(string a, int? b)
        {
            this._a = a;
            this._b = b;
        }

        public string A
        {
            get
            {
                return this._a;
            }
            set
            {
                this._a = value;
            }
        }

        public int? B
        {
            get
            {
                return this._b;
            }
        }
    }
}
